Company logoTrust Center Documentation
API v1 ReferenceKnowledge baseId

Delete Q&A item

Permanently delete a knowledge base Q&A item for the authenticated tenant. Successful API requests return 204 No Content. UI form submissions redirect back…

DELETE
/api/v1/knowledge-base/{id}

Permanently delete a knowledge base Q&A item for the authenticated tenant. Successful API requests return 204 No Content. UI form submissions redirect back to the knowledge base list. To delete only localized content, use PATCH with intent=delete_translation.

Authorization

bearerAuth
AuthorizationBearer <token>

API key generated in Admin Center Integrations

In: header

Path Parameters

id*string

Q&A item ID

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/v1/knowledge-base/kb-123"
Empty
{
  "error": "Invalid request parameters"
}
{
  "error": "Unauthorized"
}
{
  "error": "Forbidden"
}
{
  "error": "Knowledge base item not found."
}
{
  "error": "Internal server error"
}

How is this guide?